module Debate.Arguments.Ancestry.AntagonisticPleiotropy exposing (..)

import Debate.Types exposing (..)


argumentAntagonisticPleiotropy : Argument
argumentAntagonisticPleiotropy =
    { argumentTitle = "Argument Against Ancestral Diets"
    , propositionTitle = "Ancestral diets have inherent disadvantages over novel diets"
    , propositionSummary = "Summary"
    , proofLink = "https://www.umsu.de/trees/#(P~5Q),(Q~5R),(P)|=(R)"
    , definitionTable =
        [ { definiendum = "P"
          , definiens = "humans have more genetic adaptations to ancestral foods than novel foods"
          }
        , { definiendum = "Q"
          , definiens = "antagonistic pleiotropy is more of a concern for ancestral foods than novel foods"
          }
        , { definiendum = "R"
          , definiens = "ancestral diets have inherent disadvantages over novel diets"
          }
        ]
    , argumentFormalization =
        [ { premises =
                [ { premise = "If humans have more genetic adaptations to ancestral foods than novel foods, then antagonistic pleiotropy is more of a concern for ancestral foods than novel foods."
                  , notation = "(P→Q)"
                  }
                , { premise = "If antagonistic pleiotropy is more of a concern for ancestral foods than novel foods, then ancestral diets have inherent disadvantages over novel diets."
                  , notation = "(Q→R)"
                  }
                , { premise = "Humans have more genetic adaptations to ancestral foods than novel foods."
                  , notation = "(P)"
                  }
                ]
          , conclusion = "Therefore, ancestral diets have inherent disadvantages over novel diets"
          , conclusionNotation = "(∴R)"
          }
        ]
    }
